#include"mkf_book.hpp"
#include"mkf_node.hpp"
#include"mkf_cursor.hpp"
#include"common.cpp"
#include<cstdio>


using namespace mkf;


int
main(int  argc, char**  argv)
{
  Book  a_book;
  Book  b_book;
  Book  c_book;

  Printer  pr(0,nullptr);

  auto  def = load_file("mkffmt.def.txt");

  a_book.make(def);

  a_book.print();


  auto  a_nd = a_book.parse(def);

  b_book.make(a_nd);

//b_book.print();

  auto  b_nd = b_book.parse(def);

  c_book.make(b_nd);

  auto  c_nd = c_book.parse(def);


  std::string  as;
  std::string  bs;
  std::string  cs;

  pr.set(&as);

  a_nd.print(pr);

  pr.set(&bs);

  b_nd.print(pr);

  pr.set(&cs);

  c_nd.print(pr);

  printf("AとBの内容は、同一%s\n",(as == bs)? "です":"ではありません");
  printf("BとCの内容は、同一%s\n",(bs == cs)? "です":"ではありません");


  return 0;
}




