#include"mkf_book.hpp"


using namespace mkf;


void
test(Book&  book, const char*  format, const char*  text)
{
  book.clear();

  book.make(std::string(format));
 
  book.print();

  auto  nd = book.parse(text);

  printf("parsed \"%s\"\n\n",text);

  Printer  pr;

  nd.print(pr);

  printf("\n");
}


int
main(int  argc, char**  argv)
{
  Book  book;

  test(book,"def= e0;e0 = ?*CTYPE_space,*'A','B';","   AAAABCCABABAA");


  return 0;
}




